Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160238 - selinux-policy-targeted stops openoffice 1.9.104 starting
Summary: selinux-policy-targeted stops openoffice 1.9.104 starting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 19:03 UTC by John Cooper
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version: 1.17.30-3.16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 09:44:08 UTC


Attachments (Terms of Use)

Description John Cooper 2005-06-13 19:03:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 CentOS/1.7.8-1.1.3.1.centos3

Description of problem:
Openoffice writer fails to launch gui after latest version of selinux-policy-targeted is installed and system rebooted. /var/log/messages shows

avc:  denied  { execmod } for  pid=31887 comm=soffice.bin path=/opt/openoffice.org1.9.104/program/libicudata.so.26.0.1 dev=dm-0 ino=7784846 scontext=user_u:system_r:unconfined_t tcontext=system_u:object_r:usr_t tclass=file

Uninstalled this version and install previous selinux-policy-targeted-1.17.30-2.96 and rebooted to allow writer to start again.


Version-Release number of selected component (if applicable):
selinux-policy-targeted.noarch 0:1.17.30-3.2

How reproducible:
Always

Steps to Reproduce:
1. install selinux-policy-targeted.noarch 0:1.17.30-3.2
2. reboot
3. Start openoffice 1.9.104

  

Actual Results:  GUI not launched

Expected Results:  GUI launched

Additional info:

FC3 fully updated to 13th June, 2005.

Comment 1 G. Roderick Singleton 2005-06-17 12:46:47 UTC
Also affects OpenOffice.org1.9m109. Not only that but
selinux-policy-targeted-1.17.30-3.9 not only has this problem but also throws
errors on lines ass follows:  
invalid context system_u:object_r:crypt_device_t on line number 287
invalid context system_u:object_r:system_dbusd_var_run_t on line number 888

Comment 2 G. Roderick Singleton 2005-06-28 19:46:30 UTC
latest update of selinux breaks OpenOffice.org releases so they do not start at
all. Changing files_context to accomodate teh OOo libraries in their installed
directories does not work.



Comment 3 G. Roderick Singleton 2005-06-28 19:47:30 UTC
Solution to above problem. Disable SELinux.

Comment 4 Daniel Walsh 2005-07-03 15:21:29 UTC
Fixed in selinux-policy-targeted-1.17.30-3.16

Comment 5 Walter Justen 2005-08-19 09:44:08 UTC
package update is public


Note You need to log in before you can comment on or make changes to this bug.